gi-gdkx113-3.0.17: GdkX11 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GdkX11.Objects.X11Monitor

Contents

- Exported types
- Methods
  - getOutput

Description

No description available in the introspection data.

Synopsis

- newtype X11Monitor = X11Monitor (ManagedPtr X11Monitor)
- class (GObject o, IsDescendantOf X11Monitor o) => IsX11Monitor o
- toX11Monitor :: (MonadIO m, IsX11Monitor o) => o -> m X11Monitor
- x11MonitorGetOutput :: (HasCallStack, MonadIO m, IsMonitor a) => a -> m CULong

# Exported types

newtype X11Monitor Source #

Memory-managed wrapper type.

Constructors

X11Monitor (ManagedPtr X11Monitor) |

#### Instances

Instances details

Eq X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor Methods (==) :: X11Monitor -> X11Monitor -> Bool Source # (/=) :: X11Monitor -> X11Monitor -> Bool Source #
GObject X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor
ManagedPtrNewtype X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor Methods toManagedPtr :: X11Monitor -> ManagedPtr X11Monitor Source #
TypedObject X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor Methods glibType :: IO GType Source #
HasParentTypes X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor
IsGValue (Maybe X11Monitor) Source # | Convert `X11Monitor` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.GdkX11.Objects.X11Monitor Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe X11Monitor -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe X11Monitor) Source #
type ParentTypes X11Monitor Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor type ParentTypes X11Monitor = '[Monitor, Object]

class (GObject o, IsDescendantOf X11Monitor o) => IsX11Monitor o Source #

Type class for types which can be safely cast to `X11Monitor`, for instance with `toX11Monitor`.

#### Instances

Instances details

(GObject o, IsDescendantOf X11Monitor o) => IsX11Monitor o Source # |
Instance details Defined in GI.GdkX11.Objects.X11Monitor

toX11Monitor :: (MonadIO m, IsX11Monitor o) => o -> m X11Monitor Source #

Cast to `X11Monitor`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

bindProperty, bindPropertyFull, forceFloating, freezeNotify, getv, isFloating, isPrimary, notify, notifyByPspec, ref, refSink, runDispose, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getData, getDisplay, getGeometry, getHeightMm, getManufacturer, getModel, getProperty, getQdata, getRefreshRate, getScaleFactor, getSubpixelLayout, getWidthMm, getWorkarea.

#### Setters

setData, setDataFull, setProperty.

## getOutput

x11MonitorGetOutput :: (HasCallStack, MonadIO m, IsMonitor a) => a -> m CULong Source #

No description available in the introspection data.